#
# spec file for package GraphicsMagick (Version 1.1.8)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 cairo coreutils cpio cpp cpp42 cracklib cups-client cups-libs cvs dcraw diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel ghostscript-fonts-other ghostscript-fonts-std ghostscript-library glib glib2 glibc glibc-devel glibc-locale glitz grep groff gtk2 gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgimpprint libgomp42 libjasper libjasper-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libwmf libwmf-devel libwmf-gnome libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules pango patch pcre perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           GraphicsMagick
BuildRequires:  cups-client dcraw freetype2-devel gcc-c++ ghostscript-fonts-other ghostscript-fonts-std ghostscript-library glib liblcms-devel libtiff-devel libwmf-devel libxml2-devel pkgconfig
%if %suse_version > 1020
BuildRequires:  libjasper-devel
%else
BuildRequires:  libjasper
%endif
# Define Quantum depth
%define quant 8
%define base_version 1.1.8
Summary:        Viewer and Converter for Images
Version:        1.1.8
Release:        20.8
License:        X11/MIT
Group:          Productivity/Graphics/Convertors
Source:         ftp://ftp.GraphicsMagick.org/pub/%{name}/%{name}-%{version}.tar.bz2
Patch1:         %{name}-%{version}-implicit_decl.patch
Patch2:         %{name}-%{version}-debian-fixed.patch
Patch3:         %{name}-%{version}-array.patch
Patch4:         %{name}-%{version}-perl.patch
Patch5:         %{name}-%{version}-CVE-2007-4985.patch
Patch6:         %{name}-%{version}-CVE-2007-4986.patch
Patch7:         %{name}-%{version}-CVE-2007-4988.patch
Patch8:         %{name}-%{version}-quantum-memory.patch
Patch9:         %{name}-%{version}-setimageextent.patch
Patch10:        %{name}-%{version}-CVE-2008-1096.patch
Patch11:        %{name}-%{version}-CVE-2008-1097.patch
Patch12:        %{name}-%{version}-CVE-2008-3134.patch
Patch13:        %{name}-%{version}-SA35216.patch
Url:            http://www.GraphicsMagick.org/
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GraphicsMagick(TM) provides a powerful image manipulation
andtranslation utility. It is capable of displaying still images and
animations using the X Window system which provides a simple interface
forinteractively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick is one of your choices if
you need a program to manipulate and display images.It can read and
write over 88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM,
GIF, andPhoto CD. Besides it allows you to resize, rotate, sharpen,
color reduce, or add special effects to an image and to save the result
to any supported format. GraphicsMagick may be used to create animated
or transparent .gifs, to composite images, to create thumbnail images
and a lot more. If you want to develop your own applications which use
GraphicsMagick code or APIs, you need to install GraphicsMagick-devel
as well.

This package is compiled with Q8, which means that it provides better
performance on 8 bit images and less.



Authors:
--------
    see the AUTHORS file

%debug_package
%package -n libGraphicsMagick1
License:        X11/MIT
Summary:        Viewer and Converter for Images - runtime library
Group:          Productivity/Graphics/Convertors

%description -n libGraphicsMagick1
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

GraphicsMagick is one of your choices if you need a program to
manipulate and display images. If you want to develop your own
applications which use GraphicsMagick code or APIs, you need to install
GraphicsMagick-devel as well.

This package is compiled with Q8, that means it provides better
performance on 8 and less bit images.



Authors:
--------
    see the AUTHORS file

%package -n libGraphicsMagickWand0
License:        X11/MIT
Summary:        Viewer and Converter for Images - runtime library
Group:          Productivity/Graphics/Convertors

%description -n libGraphicsMagickWand0
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

GraphicsMagick is one of your choices if you need a program to
manipulate and display images. If you want to develop your own
applications which use GraphicsMagick code or APIs, you need to install
GraphicsMagick-devel as well.

This package is compiled with Q8, that means it provides better
performance on 8 and less bit images.



Authors:
--------
    see the AUTHORS file

%package devel
License:        X11/MIT
Summary:        Viewer and Converter for Images - files mandatory for development
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# These comes from check in AB for 10.2
Requires:       liblcms-devel, freetype2-devel, xorg-x11-libXext-devel, xorg-x11-libSM-devel, xorg-x11-libICE-devel, xorg-x11-libX11-devel, xorg-x11-libXau-devel, xorg-x11-libXdmcp-devel, bzip2, zlib-devel, glibc-devel

%description devel
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.



Authors:
--------
    see the AUTHORS file

%package -n perl-GraphicsMagick
License:        X11/MIT
Summary:        Viewer and Converter for Images - perl interface
Group:          Development/Libraries/Perl
Requires:       %{name} = %{version} perl = %{perl_version}

%description -n perl-GraphicsMagick
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

This package contains perl interface to GraphicsMagick library.



Authors:
--------
    see the AUTHORS file

%package -n libGraphicsMagick++1
License:        X11/MIT
Summary:        Viewer and Converter for Images - C++ interface
Group:          System/Libraries

%description -n libGraphicsMagick++1
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

This subpackage contains C++ interface to GraphicsMagick library.



Authors:
--------
    see the AUTHORS file

%package -n libGraphicsMagick++-devel
License:        X11/MIT
Summary:        Viewer and Converter for Images - C++ interface - development files
Group:          Development/Libraries/C and C++
Provides:       GraphicsMagick-C++-devel 
Obsoletes:      GraphicsMagick-C++-devel <= 1.1.7 
Requires:       %{name} = %{version}, libGraphicsMagick++1 = %{version}
Requires:       %{name}-devel = %{version}
Requires:       c++_compiler

%description -n libGraphicsMagick++-devel
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.



Authors:
--------
    see the AUTHORS file

%prep
%setup -q
%patch1
%patch2 -p1
%patch3
%patch4
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10
%patch11
%patch12 -p1
%patch13

%build
# do not run autoreconf
#autoreconf -fi
#if [ -z "`perl -v | grep 5.8`" ]; then
    export PERLOPTS="PREFIX=$RPM_BUILD_ROOT%{_prefix}"
#fi
# This shouldn't be there yet.
rm -f PerlMagick/Makefile.PL
CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
./configure --enable-shared --disable-static \
	--with-modules --enable-lzw \
	--with-frozenpaths \
	--without-perl \
	--with-magick-plus-plus \
	--with-quantum-depth=%{quant} \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-x \
	--x-libraries=/usr/%_lib \
	--x-includes=/usr/include
#	--with-perl-options="$PERLOPTS" \
make %{?jobs:-j%jobs}
cd PerlMagick
perl Makefile.PL
make %{?jobs:-j%jobs} LD_RUN_PATH="/usr/%{_lib}"

%install
make DESTDIR=$RPM_BUILD_ROOT install
cd PerlMagick
make DESTDIR=$RPM_BUILD_ROOT LD_RUN_PATH="/usr/%{_lib}" install_vendor
%perl_process_packlist
# Remove unpackaged files.
rm -f `find $RPM_BUILD_ROOT%{_libdir}/perl*/ -name perllocal.pod -type f`
rm -f `find $RPM_BUILD_ROOT%{_libdir}/perl*/ -name .packlist -type f`
# perl modules are in lib even on 64 bit arch
rm -f `find $RPM_BUILD_ROOT/usr/lib/perl*/ -name perllocal.pod -type f`
rm -f `find $RPM_BUILD_ROOT/usr/lib/perl*/ -name .packlist -type f`
rm -f $RPM_BUILD_ROOT/var/adm/perl-modules/GraphicsMagick
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -n libGraphicsMagick1
%run_ldconfig

%postun -n libGraphicsMagick1
%run_ldconfig

%post -n libGraphicsMagickWand0
%run_ldconfig

%postun -n libGraphicsMagickWand0
%run_ldconfig

%post -n libGraphicsMagick++1
%run_ldconfig

%postun -n libGraphicsMagick++1
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc ChangeLog Copyright.txt README.txt NEWS AUTHORS
%doc %{_datadir}/%{name}-%{base_version}
%exclude %{_datadir}/%{name}-%{base_version}/config
%attr(755, root, root) %{_bindir}/gm
%doc %{_mandir}/man1/gm.1.gz
%doc %{_mandir}/man4/*gz
%doc %{_mandir}/man5/*gz

%files -n libGraphicsMagick1
%defattr(644, root, root, 755)
%{_libdir}/lib%{name}.so.*
%dir %{_libdir}/%{name}-%{base_version}
%dir %{_libdir}/%{name}-%{base_version}/config
%{_libdir}/%{name}-%{base_version}/config/*.mgk
%dir %{_libdir}/%{name}-%{base_version}/modules-Q%{quant}
%dir %{_libdir}/%{name}-%{base_version}/modules-Q%{quant}/coders
%dir %{_libdir}/%{name}-%{base_version}/modules-Q%{quant}/filters
%{_libdir}/%{name}-%{base_version}/modules-Q%{quant}/*/*.so
%{_libdir}/%{name}-%{base_version}/modules-Q%{quant}/*/*.la
%dir %{_datadir}/%{name}-%{base_version}
%{_datadir}/%{name}-%{base_version}/config

%files -n libGraphicsMagickWand0
%defattr(644, root, root, 755)
%{_libdir}/lib%{name}Wand.so.*

%files devel
%defattr(644, root, root, 755)
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/wand
%{_includedir}/%{name}/wand/*
%dir %{_includedir}/%{name}/magick
%{_includedir}/%{name}/magick/*
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}Wand.so
%dir %{_libdir}/%{name}-%{base_version}/modules-Q%{quant}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}Wand.pc
%attr(755, root, root) %{_bindir}/%{name}-config
%attr(755, root, root) %{_bindir}/%{name}Wand-config
%doc %{_mandir}/man1/%{name}-config.1.gz
%doc %{_mandir}/man1/%{name}Wand-config.1.gz

%files -n perl-GraphicsMagick
%defattr(644, root, root, 755)
%dir %{perl_vendorarch}/Graphics
%dir %{perl_vendorarch}/auto/Graphics
%dir %{perl_vendorarch}/auto/Graphics/Magick
%{perl_vendorarch}/Graphics/Magick.pm
%{perl_vendorarch}/auto/Graphics/Magick/*
%doc %{_mandir}/man3/*gz

%files -n libGraphicsMagick++1
%defattr(644, root, root, 755)
%{_libdir}/lib%{name}++.so.*

%files -n libGraphicsMagick++-devel
%defattr(644, root, root, 755)
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/Magick++
%{_includedir}/%{name}/Magick++.h
%{_includedir}/%{name}/Magick++/*
%{_libdir}/lib%{name}++.so
%{_libdir}/pkgconfig/%{name}++.pc
%attr(755, root, root) %{_bindir}/%{name}++-config
%doc %{_mandir}/man1/%{name}++-config.1.gz

%changelog
* Thu Jun 04 2009 - nadvornik@suse.cz
- fixed integer overflow in XMakeImage [SA35216, bnc#507728]
* Thu Sep 25 2008 - nadvornik@suse.cz
- fixed CVE-2008-3134 - posible crashes via broken images
  in various formats [bnc#408852]
* Fri May 23 2008 - nadvornik@suse.cz
- fixed CVE-2008-1097 PCX buffer overflow [bnc#391366]
- fixed CVE-2008-1096 XCF Buffer overflow [bnc#391364]
* Tue Oct 09 2007 - nadvornik@suse.cz
- fixed interger overflows: CVE-2007-4985, CVE-2007-4986,
  CVE-2007-4988 [#327021]
* Mon Aug 06 2007 - nadvornik@suse.cz
- updated to 1.1.8:
  * security fixes merged upstream
  * a lot of other bugfixes
* Wed Jul 25 2007 - nadvornik@suse.cz
- adjusted to Shared Library Policy:
  * new subpackages libGraphicsMagick1, libGraphicsMagickWand0
  * GraphicsMagick-c++ -> libGraphicsMagick++1
  * GraphicsMagick-c++-devel -> libGraphicsMagick++-devel
- fixed to build
* Thu Apr 19 2007 - nadvornik@suse.cz
- fixed various crashes on malformed input, including
  CVE-2007-1797 and CVE-2007-1667 [#258253]
- adjusted BuildRequires for libjasper-devel
* Tue Feb 27 2007 - dmueller@suse.de
- reduce buildrequires
* Thu Feb 22 2007 - nadvornik@suse.cz
- fixed patch for palm codec CVE-2006-5456 [#215685]
- fixed palm patch for palm codec [#215685]
- fixed PerlMagic module library dependencies [#243002]
- fixed broken code that caused compiler warnings [#243012]
* Thu Nov 16 2006 - dmueller@suse.de
- fix c++-devel package requires
* Mon Oct 30 2006 - nadvornik@suse.cz
- applied debian patch for CVE-2006-5456, CVE-2006-3743,
  CVE-2006-3744, CAN-2005-0397, CVE-2005-4601
* Thu Sep 21 2006 - nadvornik@suse.cz
- minor adjustments in spec file
* Thu Sep 14 2006 - lmichnovic@suse.cz
- initial version 1.1.7
